[arch-haskell] Re: [extra] haskell-parallel

Xyne xyne at archlinux.ca
Sat Oct 12 07:37:37 UTC 2013

Rémy Oudompheng wrote:

> Peter, I'm really sorry for the trouble. Now can you quickly tell me
> if everybody agrees on me uploading these packages:
> - haskell-parallel (version
> - haskell-hp-parallel (version, provides haskell-parallel=
> If so, I'll do it in a minute.
> -- 
> Rémy.

What version of haskell-deepseq will this new upload of haskell-parallel-
depend on? I ask because it's the same version as the one currently in [extra].
All packages in [extra] must be able to satisfy their dependencies with other
packages from [extra] or from [core]. The addition of haskell-hp-parallel may
solve some downstream dependencies but the main problem here is the internal
inconsistency in the main repos. As it stands, they're outrightly broken.

If we can't satisfy the dependencies of haskell-parallel in [extra] then it
should be removed until all issues that prevent its installation have been


More information about the arch-haskell mailing list